#include <iostream>
#include<cmath>
using namespace std;
int maks(int a,int b,int c)
{
   __int128_t rez;
   rez= max(max(a,b),max(b,c));
   return rez;
}

int main()
{
	long long br1, br2, br3;
	cin >> br1 >> br2 >> br3;
	long long pom1 = br1, pom2 = br2, pom3 = br3;
	long long c1=0, c2=0, c3=0;
	while (pom1 != 0)
	{
		pom1 = pom1 / 10;
		c1++;
	}
	while (pom2 != 0)
	{
		pom2 = pom2 / 10;
		c2++;
	}
	while (pom3 != 0)
	{
		pom3 = pom3 / 10;
		c3++;
	}
	int r1, r2, r3;
	r1 =max(( br1 * pow(10, (c2 + c3)) + br2 * pow(10, c3) + br3),(br1*pow(10,c2+c3)+br3*pow(10,c2)+br2));
	r2=max((br2*pow(10,c1+c3)+br1*pow(10,c3)+br3),(br2*pow(10,c1+c3)+br3*pow(10,c1)+br1));
	r3=max((br3*pow(10,c1+c2)+br2*pow(10,c1)+br1),(br3*pow(10,c1+c2)+br1*pow(10,c2)+br2));
	__int128_t rez=maks(r1,r2,r3);
	cout << rez;
	
}